Bug 1444825 - [abrt] dnfdragora: _handle_dbus_error(): __init__.py:250:_handle_dbus_error:dnfdaemon.client.DaemonError: g-dbus-error-quark: GDBus.Error:org.freedesktop.DBus.Error.NoReply: Message recipient disconnected from message bus without replying (4)
Summary: [abrt] dnfdragora: _handle_dbus_error(): __init__.py:250:_handle_dbus_error:d...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dnfdragora
Version: 26
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Björn 'besser82' Esser
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:d75e8b27057385423bd00ae112d...
Depends On: 1444830
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-04-24 11:49 UTC by Christian Stadelmann
Modified: 2018-01-01 22:21 UTC (History)
11 users (show)

Fixed In Version: dnfdragora-1.0.1-8.git20171229.24e4647.fc27 dnfdragora-1.0.1-8.git20171229.24e4647.fc26
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-31 21:38:33 UTC


Attachments (Terms of Use)
File: backtrace (2.26 KB, text/plain)
2017-04-24 11:49 UTC, Christian Stadelmann
no flags Details
File: namespaces (102 bytes, text/plain)
2017-04-24 11:49 UTC, Christian Stadelmann
no flags Details

Description Christian Stadelmann 2017-04-24 11:49:24 UTC
Description of problem:
I was trying to open update information on a Fedora package, then I got a traceback.

Version-Release number of selected component:
dnfdragora-1.0.1-1.fc26

Additional info:
reporter:       libreport-2.9.1
cmdline:        /usr/bin/python3 /usr/bin/dnfdragora
crash_function: _handle_dbus_error
exception_type: dnfdaemon.client.DaemonError
executable:     /usr/bin/dnfdragora
kernel:         4.11.0-0.rc7.git0.1.fc26.x86_64
runlevel:       N 5
type:           Python3

Truncated backtrace:
__init__.py:250:_handle_dbus_error:dnfdaemon.client.DaemonError: g-dbus-error-quark: GDBus.Error:org.freedesktop.DBus.Error.NoReply: Message recipient disconnected from message bus without replying (4)

Traceback (most recent call last):
  File "/usr/lib/python3.6/site-packages/dnfdaemon/client/__init__.py", line 361, in Lock
    return self._run_dbus_async('Lock')
  File "/usr/lib/python3.6/site-packages/dnfdaemon/client/__init__.py", line 293, in _run_dbus_async
    result = self._get_result(data)
  File "/usr/lib/python3.6/site-packages/dnfdaemon/client/__init__.py", line 277, in _get_result
    self._handle_dbus_error(user_data['error'])
  File "/usr/lib/python3.6/site-packages/dnfdaemon/client/__init__.py", line 250, in _handle_dbus_error
    raise DaemonError(str(err))
dnfdaemon.client.DaemonError: g-dbus-error-quark: GDBus.Error:org.freedesktop.DBus.Error.NoReply: Message recipient disconnected from message bus without replying (4)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/bin/dnfdragora", line 87, in <module>
    main_gui.backend.quit()
  File "/usr/lib/python3.6/site-packages/dnfdragora/basedragora.py", line 50, in backend
    return self.get_root_backend()
  File "/usr/lib/python3.6/site-packages/dnfdragora/basedragora.py", line 72, in get_root_backend
    locked, msg = self._root_backend.setup()
  File "/usr/lib/python3.6/site-packages/dnfdragora/dnf_backend.py", line 283, in setup
    self.Lock()
  File "/usr/lib/python3.6/site-packages/dnfdaemon/client/__init__.py", line 363, in Lock
    self._handle_dbus_error(err)
  File "/usr/lib/python3.6/site-packages/dnfdaemon/client/__init__.py", line 250, in _handle_dbus_error
    raise DaemonError(str(err))
dnfdaemon.client.DaemonError: g-dbus-error-quark: GDBus.Error:org.freedesktop.DBus.Error.NoReply: Message recipient disconnected from message bus without replying (4)

Local variables in innermost frame:
msg: 'Message recipient disconnected from message bus without replying (4)'
exc: 'org.freedesktop.DBus.Error.NoReply'
err: DaemonError('g-dbus-error-quark: GDBus.Error:org.freedesktop.DBus.Error.NoReply: Message recipient disconnected from message bus without replying (4)',)
self: <dnfdragora.dnf_backend.DnfRootBackend object at 0x7f577b0649e8>

Comment 1 Christian Stadelmann 2017-04-24 11:49:31 UTC
Created attachment 1273579 [details]
File: backtrace

Comment 2 Christian Stadelmann 2017-04-24 11:49:32 UTC
Created attachment 1273580 [details]
File: namespaces

Comment 3 Christian Stadelmann 2017-04-24 11:50:37 UTC
Original backtrace shown in a dialog in dnfdragora:

g-io-error-quark: GDBus.Error:org.freedesktop.DBus.Python.AttributeError: Traceback (most recent call last):
  File "/usr/lib64/python3.6/site-packages/dbus/service.py", line 707, in _message_cb
    retval = candidate_method(self, *args, **keywords)
  File "/usr/lib/python3.6/site-packages/dnfdaemon/server/__init__.py", line 83, in newFunc
    rc = func(*args, **kwargs)
  File "/usr/share/dnfdaemon/dnfdaemon-system", line 273, in GetAttribute
    value = self.get_attribute(pkg_id, attr)
  File "/usr/lib/python3.6/site-packages/dnfdaemon/server/__init__.py", line 343, in get_attribute
    value = json.dumps(self._get_fake_attributes(po, attr))
  File "/usr/lib/python3.6/site-packages/dnfdaemon/server/__init__.py", line 909, in _get_fake_attributes
    return self._get_update_info(po)
  File "/usr/lib/python3.6/site-packages/dnfdaemon/server/__init__.py", line 846, in _get_update_info
    value = updinfo.advisories_list()
  File "/usr/lib/python3.6/site-packages/dnfdaemon/server/backend.py", line 524, in advisories_list
    e[field] = getattr(adv, field)
AttributeError: '_hawkey.Advisory' object has no attribute 'filenames'
 (36)

Comment 4 Christian Stadelmann 2017-04-24 11:55:04 UTC
I've created a separate bug report for the dnfdaemon backtrace: bug #1444830.

I don't know if you consider this backtrace in dnfdragora a bug.

Comment 5 Fedora Update System 2017-05-01 21:27:46 UTC
dnfdaemon-0.3.17-2.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-f97dcd8bd6

Comment 6 Fedora Update System 2017-05-03 17:19:07 UTC
dnfdaemon-0.3.17-2.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-f97dcd8bd6

Comment 7 Fedora Update System 2017-05-04 22:04:23 UTC
dnfdaemon-0.3.17-2.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-f97dcd8bd6

Comment 8 Fedora Update System 2017-05-06 17:10:37 UTC
dnfdaemon-0.3.17-2.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Albert 2017-07-05 19:11:49 UTC
*** Bug 1468019 has been marked as a duplicate of this bug. ***

Comment 10 lonelywoolf 2017-07-18 08:42:55 UTC
Similar problem has been detected:

just boot system without Internet connection

reporter:       libreport-2.9.1
cmdline:        /usr/bin/python3 /usr/bin/dnfdragora-updater
crash_function: _handle_dbus_error
exception_type: dnfdaemon.client.DaemonError
executable:     /usr/bin/dnfdragora-updater
kernel:         4.11.9-300.fc26.x86_64
package:        dnfdragora-gui-1.0.1-5.git20170505.2a3b056.fc26
reason:         __init__.py:250:_handle_dbus_error:dnfdaemon.client.DaemonError: g-dbus-error-quark: GDBus.Error:org.freedesktop.DBus.Error.NoReply: Message recipient disconnected from message bus without replying (4)
runlevel:       N 5
type:           Python3
uid:            1000

Comment 11 Douglas 2017-07-22 02:16:20 UTC
*** Bug 1473882 has been marked as a duplicate of this bug. ***

Comment 12 Aniket Lamba 2017-09-20 19:46:29 UTC
*** Bug 1493746 has been marked as a duplicate of this bug. ***

Comment 13 mvm 2017-11-17 19:40:02 UTC
*** Bug 1514581 has been marked as a duplicate of this bug. ***

Comment 14 Fedora Update System 2017-12-30 00:39:48 UTC
dnfdaemon-0.3.18-5.fc27 dnfdragora-1.0.1-8.git20171229.24e4647.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-d66bd84f06

Comment 15 Fedora Update System 2017-12-30 00:41:53 UTC
dnfdaemon-0.3.18-5.fc26 dnfdragora-1.0.1-8.git20171229.24e4647.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-8caadb4a1b

Comment 16 Fedora Update System 2017-12-30 20:04:08 UTC
dnfdaemon-0.3.18-5.fc27, dnfdragora-1.0.1-8.git20171229.24e4647.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-d66bd84f06

Comment 17 Fedora Update System 2017-12-30 20:49:52 UTC
dnfdaemon-0.3.18-5.fc26, dnfdragora-1.0.1-8.git20171229.24e4647.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-8caadb4a1b

Comment 18 Fedora Update System 2017-12-31 21:38:33 UTC
dnfdaemon-0.3.18-5.fc27, dnfdragora-1.0.1-8.git20171229.24e4647.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2018-01-01 22:21:38 UTC
dnfdaemon-0.3.18-5.fc26, dnfdragora-1.0.1-8.git20171229.24e4647.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.